*** ./dbus/dbus-sysdeps-unix.c.ORIG	Mon Nov 12 22:34:45 2012
--- ./dbus/dbus-sysdeps-unix.c	Mon Nov 12 22:39:09 2012
***************
*** 24,29 ****
--- 24,33 ----
  
  #include <config.h>
  
+ #ifdef _AIX
+ #include <alloca.h>
+ #endif
+ 
  #include "dbus-internals.h"
  #include "dbus-sysdeps.h"
  #include "dbus-sysdeps-unix.h"
***************
*** 90,96 ****
  #define socklen_t int
  #endif
  
! #if defined (__sun) || defined (__sun__)
  /*
   * CMS_SPACE etc. definitions for Solaris < 10, based on
   *   http://mailman.videolan.org/pipermail/vlc-devel/2006-May/024402.html
--- 94,100 ----
  #define socklen_t int
  #endif
  
! #if defined (__sun) || defined (__sun__) || (defined(_AIX) && !defined(_LINUX_SOURCE_COMPAT))
  /*
   * CMS_SPACE etc. definitions for Solaris < 10, based on
   *   http://mailman.videolan.org/pipermail/vlc-devel/2006-May/024402.html
*** ./dbus/vsyslog.c.ORIG	Mon Nov 12 22:42:37 2012
--- ./dbus/vsyslog.c	Mon Nov 12 22:42:48 2012
***************
*** 0 ****
--- 1,54 ----
+ /*    $Id: vsyslog.c,v 1.2 2000/09/20 03:42:30 robert Exp $
+ /*
+  * Copyright (c) 1994-1996 Sam Leffler
+  * Copyright (c) 1994-1996 Silicon Graphics, Inc.
+  * HylaFAX is a trademark of Silicon Graphics, Inc.
+  *
+  * Permission to use, copy, modify, distribute, and sell this software and
+  * its documentation for any purpose is hereby granted without fee, provided
+  * that (i) the above copyright notices and this permission notice appear in
+  * all copies of the software and related documentation, and (ii) the names of
+  * Sam Leffler and Silicon Graphics may not be used in any advertising or
+  * publicity relating to the software without the specific, prior written
+  * permission of Sam Leffler and Silicon Graphics.
+  *
+  * THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
+  * EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
+  * WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
+  *
+  * IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
+  * ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
+  * OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+  * WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
+  * LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
+  * OF THIS SOFTWARE.
+  */
+ #include <stdio.h>
+ #include <sys/types.h>
+ #include <stdarg.h>
+ #include <syslog.h>
+ #include <string.h>
+ #include <errno.h>
+ 
+ void
+ vsyslog(int pri, const char* fmt, va_list ap)
+ {
+       char tbuf[2048], fmt_cpy[1024];
+       char* cp;
+       char c;
+ 
+       /* substitute error message for %m */
+       for (cp = fmt_cpy; c = *fmt; ++fmt) {
+           if (c == '%' && fmt[1] == 'm') {
+               const char* dp;
+               ++fmt;
+               for (dp = strerror(errno); *cp = *dp++; ++cp)
+                   ;
+           } else
+               *cp++ = c;
+           *cp = '\0';
+       }
+       (void) vsnprintf(tbuf, sizeof(tbuf), fmt_cpy, ap);
+       (void) syslog(pri, "%s", tbuf);
+ }
+ 
*** ./dbus/dbus-sysdeps-util-unix.c.ORIG	Mon Nov 12 23:04:53 2012
--- ./dbus/dbus-sysdeps-util-unix.c	Mon Nov 12 22:43:07 2012
***************
*** 55,60 ****
--- 55,64 ----
  #include <sys/syslimits.h>
  #endif
  
+ #ifdef _AIX
+ #include "vsyslog.c"
+ #endif
+ 
  #ifndef O_BINARY
  #define O_BINARY 0
  #endif
